QGIS Application - Feature request #196
Identify Tool, even if disabled in GUI, still attempts to identify non-queryable WMS layers
2006-07-19 06:35 PM - Brendan Morley -

Status: Closed

Priority: Low

Assignee: Brendan Morley -

Category: Web Services clients/WMS

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 10255
Description

Further to #3908, consider the situation where an open QGIS Project has multiple layers and one of them is a non-queryable WMS layer.

If the identify tool is selected and the current layer then becomes the non-queryable WMS layer, the identify tool is greyed-out. So far so
good.

However, if the user then clicks on a feature, the identify tool fires off anyway. In the case of the WMS server, it just returns an error
anyway (with perhaps a confusing error message to the user).

An optimisation would be to trap the error locally within QGIS. Perhaps each map tool could check to see if it's still enabled in the tool bar
before it fires?

History

#1 - 2007-03-04 05:23 AM - Magnus Homann
- Resolution set to fixed
- Status changed from Open to Closed

This is fixed in wmsprovider for 0.8.1 and beyond, see .

#2 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted
